Package de.willuhn.jameica.hbci.rmi

# Interface SepaLastschrift

All Superinterfaces:
  `BaseUeberweisung`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `Duplicatable`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `HibiscusTransfer`, `Remote`, `SepaBooking`, `SepaPayment`, `Terminable`, `de.willuhn.datasource.rmi.Transactionable`, `Transfer`

All Known Implementing Classes:
  `SepaLastschriftImpl`

public interface SepaLastschrift extends BaseUeberweisung, Duplicatable, SepaPayment, SepaBooking
Bildet eine SEPA-Lastschrift ab.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCreditorId()`
Liefert die Glaeubiger-ID.
`String`
`getMandateId()`
Liefert die Mandats-ID.
`String`
`getOrderId()`
Liefert die von der Bank nach der Uebertragung zurueckgemeldete Order-ID.
`SepaLastSequenceType`
`getSequenceType()`
Liefert den Sequenz-Typ der Lastschrft.
`Date`
`getSignatureDate()`
Liefert das Datum der Unterschrift des Mandats.
`Date`
`getTargetDate()`
Liefert das Ziel-Ausfuehrungsdatum bei der Bank.
`SepaLastType`
`getType()`
Liefert den Typ der Lastschrft.
`void`
`setCreditorId(String id)`
Speichert die Glaeubiger-ID.
`void`
`setMandateId(String id)`
Speichert die Mandats-ID.
`void`
`setOrderId(String orderId)`
Speichert die von der Bank zurueckgemeldete Order-ID.
`void`
`setSequenceType(SepaLastSequenceType type)`
Speichert den Sequenz-Typ der Lastschrift.
`void`
`setSignatureDate(Date date)`
Speichert das Datum der Unterschrift des Mandats.
`void`
`setTargetDate(Date date)`
Speichert das Ziel-Ausfuehrungsdatum bei der Bank.
`void`
`setType(SepaLastType type)`
Speichert den Typ der Lastschrift.

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.BaseUeberweisung

`getTextSchluessel, setTextSchluessel`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Duplicatable

`duplicate`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusTransfer

`getKonto, setBetrag, setGegenkonto, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setKonto, setWeitereVerwendungszwecke, setZweck, setZweck2`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaBooking

`getEndtoEndId, getPurposeCode, setEndtoEndId, setPurposeCode`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaPayment

`getPmtInfId, setPmtInfId`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Terminable

`ausgefuehrt, getAusfuehrungsdatum, getTermin, setAusgefuehrt, setTermin, ueberfaellig`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Method Details

### getMandateId

String getMandateId() throws RemoteException
Liefert die Mandats-ID.

Returns:
  die Mandats-ID.
Throws:
  `RemoteException`

### setMandateId

void setMandateId(String id) throws RemoteException
Speichert die Mandats-ID.

Parameters:
  `id` - die Mandats-ID.
Throws:
  `RemoteException`

### getCreditorId

String getCreditorId() throws RemoteException
Liefert die Glaeubiger-ID.

Returns:
  die Glaeubiger-ID.
Throws:
  `RemoteException`

### setCreditorId

void setCreditorId(String id) throws RemoteException
Speichert die Glaeubiger-ID.

Parameters:
  `id` - die Glaeubiger-ID.
Throws:
  `RemoteException`

### getSignatureDate

Date getSignatureDate() throws RemoteException
Liefert das Datum der Unterschrift des Mandats.

Returns:
  das Datum der Unterschrift des Mandats.
Throws:
  `RemoteException`

### setSignatureDate

void setSignatureDate(Date date) throws RemoteException
Speichert das Datum der Unterschrift des Mandats.

Parameters:
  `date` - das Datum der Unterschrift des Mandats.
Throws:
  `RemoteException`

### getSequenceType

SepaLastSequenceType getSequenceType() throws RemoteException
Liefert den Sequenz-Typ der Lastschrft.

Returns:
  der Sequenz-Typ der Lastschrift.
Throws:
  `RemoteException`

### setSequenceType

void setSequenceType(SepaLastSequenceType type) throws RemoteException
Speichert den Sequenz-Typ der Lastschrift.

Parameters:
  `type` - der Sequenz-Typ der Lastschrift.
Throws:
  `RemoteException`

### getTargetDate

Date getTargetDate() throws RemoteException
Liefert das Ziel-Ausfuehrungsdatum bei der Bank.

Returns:
  das Ziel-Ausfuehrungsdatum bei der Bank.
Throws:
  `RemoteException`

### setTargetDate

void setTargetDate(Date date) throws RemoteException
Speichert das Ziel-Ausfuehrungsdatum bei der Bank.

Parameters:
  `date` - das Ziel-Ausfuehrungsdatum bei der Bank.
Throws:
  `RemoteException`

### getType

SepaLastType getType() throws RemoteException
Liefert den Typ der Lastschrft.

Returns:
  der Typ der Lastschrift.
Throws:
  `RemoteException`

### setType

void setType(SepaLastType type) throws RemoteException
Speichert den Typ der Lastschrift.

Parameters:
  `type` - der Typ der Lastschrift.
Throws:
  `RemoteException`

### getOrderId

String getOrderId() throws RemoteException
Liefert die von der Bank nach der Uebertragung zurueckgemeldete Order-ID.

Returns:
  die Order-ID. NULL, wenn der Auftrag noch nicht an die Bank gesendet wurde.
Throws:
  `RemoteException`

### setOrderId

void setOrderId(String orderId) throws RemoteException
Speichert die von der Bank zurueckgemeldete Order-ID.

Parameters:
  `orderId` - die von der Bank zurueckgemeldete Order-ID.
Throws:
  `RemoteException`